Subject: bug#24213: 25.1.50; Fishy use of delete-window in register.el

From: martin rudalics <[email-masked]>
Date: Sat, 13 Aug 2016 10:25:24 +0200

> Maybe the documentation of delte-window should be amended, stating that
 > it is almost always preferable to use quit-window instead;

‘delete-window’ is primarily a command bound to C-x 0.  It should be
used only sparingly in Elisp code.  Nevertheless, I think that any
advice to use ‘quit-window’ instead should go to the ‘display-buffer’
group functions because ‘quit-window’ (now) inherently belongs there.

 > unless the
 > window was created by using primitives like split-window.

‘split-window’ should not be used in Elisp code either unless it's done
on a separate, special purpose frame.  Standard settings are usually too
restrictive to make ‘split-window’ behave decently.

martin